# Class ParserImpl

java.lang.Object
org.apache.jmeter.monitor.parser.ParserImpl

All Implemented Interfaces:
  `Parser`

Direct Known Subclasses:
  `ObjectFactory.MonitorParser`

public abstract class ParserImpl extends Object implements Parser

## Constructor Summary

Constructors
Constructor
Description
`ParserImpl(ObjectFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`Status`
`parseBytes(byte[] bytes)`
parse byte array and return Status object
`Status`
`parseSampleResult(SampleResult result)`
`Status`
`parseString(String content)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserImpl

public ParserImpl(ObjectFactory factory)

Parameters:
  `factory` - `ObjectFactory` to use

## Method Details

### parseBytes

public Status parseBytes(byte[] bytes)
parse byte array and return Status object

Specified by:
  `parseBytes` in interface `Parser`
Parameters:
  `bytes` - bytes to be parsed
Returns:
  Status

### parseString

public Status parseString(String content)

Specified by:
  `parseString` in interface `Parser`
Parameters:
  `content` - text to be parsed
Returns:
  Status

### parseSampleResult

public Status parseSampleResult(SampleResult result)

Specified by:
  `parseSampleResult` in interface `Parser`
Parameters:
  `result` - `SampleResult` out of which the `reponseData` will be used for parsing
Returns:
  Status